
%define oname iceB
%define oversion 15_0

Name:    iceb
Version: 16.14
Release: alt1

Summary: Free financial accounting system (console)

Packager: Andrey Cherepanov <cas@altlinux.org>

Group:   Office
License: GPL
Url:     http://iceb.net.ua

Source:  %url/download/%name-%oversion.tar.bz2
Source1: %name
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm
Source6: %name.watch

#Patch:   iceb-fix-overflow-buffer.patch
Patch1:	 %name-12.11-remove-missing-automake-target.patch

BuildRequires: gcc-c++ glib2-devel libMySQL-devel libncursesw-devel

%description
Free financial accounting system.

%prep
%setup -q -c
#%%patch -p2
%patch1 -p2

%build
%autoreconf
%configure \
	--disable-static \
	--with-lang-path=%_datadir/locale \
	--with-lock-dir=/var/lock/serial \
	--with-config-path=%_datadir/%oname \
	--with-maxfkeys=10 \
	--with-gnu-ld

%make_build

%install
[ -z "$TMPDIR" ] && TMPDIR=/tmp
FAKEDIR=$TMPDIR/%{name}_tmp_install
mkdir -p $FAKEDIR

%makeinstall \
    CONFDIR=$FAKEDIR \
    ICEB_LANG_PATH=%buildroot/%_datadir/locale/uk \
    bindir=%buildroot/%_libdir/%name/bin \
    libdir=%buildroot/%_libdir/%name

rm -rf $FAKEDIR

%makeinstall CONFDIR=%buildroot/%_datadir/%oname/iceb -C buhg/bx
%makeinstall CONFDIR=%buildroot/%_datadir/%oname/doc -C buhg/doc

mkdir -p %buildroot%_bindir
install -m 755 %SOURCE1 %buildroot/%_bindir
subst "s|/usr/lib|%_libdir|g" %buildroot/%_bindir/%name
rm -rf %buildroot%_libdir/%name/*.{a,la}

%files
%doc CHANGES LSM VERSION COPYING*
%_bindir/%name
%_libdir/%name/bin
%_datadir/%oname

%changelog
* Thu Jun 09 2016 Andrey Cherepanov <cas@altlinux.org> 16.14-alt1
- new version 16.14

* Tue May 03 2016 Andrey Cherepanov <cas@altlinux.org> 16.13-alt1
- new version 16.13

* Tue Apr 19 2016 Andrey Cherepanov <cas@altlinux.org> 16.12-alt1
- new version 16.12

* Fri Apr 08 2016 Andrey Cherepanov <cas@altlinux.org> 16.10-alt1
- new version 16.10

* Sat Apr 02 2016 Andrey Cherepanov <cas@altlinux.org> 16.9-alt1
- new version 16.9

* Mon Mar 28 2016 Andrey Cherepanov <cas@altlinux.org> 16.7-alt1
- new version 16.7

* Tue Feb 02 2016 Andrey Cherepanov <cas@altlinux.org> 16.5-alt1
- new version 16.5

* Mon Dec 07 2015 Andrey Cherepanov <cas@altlinux.org> 16.4-alt1
- new version 16.4

* Wed Dec 02 2015 Andrey Cherepanov <cas@altlinux.org> 16.3-alt1
- new version 16.3

* Thu Oct 08 2015 Andrey Cherepanov <cas@altlinux.org> 16.2-alt1
- new version 16.2

* Fri Oct 02 2015 Andrey Cherepanov <cas@altlinux.org> 16.1-alt1
- new version 16.1

* Tue Sep 01 2015 Andrey Cherepanov <cas@altlinux.org> 16.0-alt1
- new version 16.0

* Sun Aug 02 2015 Andrey Cherepanov <cas@altlinux.org> 15.17-alt1
- new version 15.17

* Sat Jul 25 2015 Andrey Cherepanov <cas@altlinux.org> 15.16-alt1
- new version 15.16

* Thu Jul 09 2015 Andrey Cherepanov <cas@altlinux.org> 15.15-alt1
- new version 15.15

* Fri Jul 03 2015 Andrey Cherepanov <cas@altlinux.org> 15.14-alt1
- new version 15.14

* Tue Jun 16 2015 Andrey Cherepanov <cas@altlinux.org> 15.13-alt1
- new version 15.13

* Fri Jun 12 2015 Andrey Cherepanov <cas@altlinux.org> 15.12-alt1
- new version 15.12

* Fri Jun 05 2015 Andrey Cherepanov <cas@altlinux.org> 15.11-alt1
- new version 15.11

* Sat May 02 2015 Andrey Cherepanov <cas@altlinux.org> 15.10-alt1
- new version 15.10

* Wed Apr 01 2015 Andrey Cherepanov <cas@altlinux.org> 15.9-alt1
- new version 15.9

* Fri Mar 13 2015 Andrey Cherepanov <cas@altlinux.org> 15.8-alt1
- new version 15.8
- move data files to /usr/share/iceB (as hardcoded)

* Wed Mar 04 2015 Andrey Cherepanov <cas@altlinux.org> 15.7-alt1
- new version 15.7

* Fri Feb 20 2015 Andrey Cherepanov <cas@altlinux.org> 15.6-alt1
- new version 15.6

* Wed Jan 21 2015 Andrey Cherepanov <cas@altlinux.org> 15.5-alt1
- new version 15.5

* Fri Jan 02 2015 Andrey Cherepanov <cas@altlinux.org> 15.3-alt1
- new version 15.3

* Tue Dec 02 2014 Andrey Cherepanov <cas@altlinux.org> 15.2-alt1
- New version

* Fri Nov 14 2014 Andrey Cherepanov <cas@altlinux.org> 15.1-alt1
- new version 15.1

* Mon Sep 01 2014 Andrey Cherepanov <cas@altlinux.org> 15.0-alt1
- Nee version

* Mon Jun 02 2014 Andrey Cherepanov <cas@altlinux.org> 14.15-alt1
- New version

* Thu Feb 27 2014 Andrey Cherepanov <cas@altlinux.org> 14.11-alt1
- New version
- Fix project URL

* Sun Apr 07 2013 Andrey Cherepanov <cas@altlinux.org> 12.0-alt3
- Rebuild with new libmysqlclient

* Wed Sep 19 2012 Andrey Cherepanov <cas@altlinux.org> 12.0-alt2
- Fix build

* Thu Sep 01 2011 Andrey Cherepanov <cas@altlinux.org> 12.0-alt1
- New version 12.0

* Sun Dec 28 2008 Vitaly Lipatov <lav@altlinux.ru> 9.0-alt1
- build new version, update spec
- disable build html doc

* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt2
- fix menu section

* Tue Feb 03 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt1
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 5.35-alt2
- fix build requires

* Fri Sep 13 2002 Sergey V Turchin <zerg@altlinux.ru> 5.35-alt1
- new version
- byuld with gcc3.2

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt2
- add -doc-html package

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt1
- initial spec
